The US Vehicle Plate Decoder API looks up the vehicle through the database for matches and returns the VIN, make, model and year among other attributes. It can be coupled with other APIs to become even more powerful. The state is a two letter abbreviation of one of the 50 states, or District of Columbia (DC), or Puerto Rico (PR).

<Note>All requests are made with `API key`, `plate` and `state`.</Note>

<Row>
  <Col>
    This endpoint allows you to retrieve **US** vehicle information based on license plates and registration numbers.

    ## Required attributes
    <Properties>
      <Property name="key" type="string">
        Your CarsXE API key.
      </Property>
      <Property name="plate" type="string">
        The vehicle registration number or license plate number.
      </Property>
      <Property name="state" type="string">
        The state is a two letter abbreviation of one of the 50 states, or District of Columbia (`DC`), or Puerto Rico (`PR`).
      </Property>
    </Properties>

    ## Optional attributes
    <Properties>
      <Property name="decodeVIN" type="boolean">
        If set to `true`, the API will attempt to decode the VIN number and return the vehicle's information.
      </Property>
    </Properties>

    ## Response Attributes
    <Properties>
      <Property name="success" type="boolean">
        Indicates whether the request was **successful** (e.g., `true` or `false`).
      </Property>
      <Property name="input" type="object">
        Contains the **input parameters** used in the request.
        <Properties>
          <Property name="plate" type="string">
            The **license plate** of the vehicle (e.g., "H37SFS").
          </Property>
          <Property name="state" type="string">
            The **state** where the vehicle is registered (e.g., "NJ").
          </Property>
        </Properties>
      </Property>
      <Property name="vin" type="string">
        The **Vehicle Identification Number** (VIN), a unique code identifying the specific vehicle (e.g., "1GNSCGKC0JR318026").
      </Property>
      <Property name="year" type="string">
        The **manufacturing year** of the vehicle (e.g., "2018").
      </Property>
      <Property name="make" type="string">
        The **manufacturer** of the vehicle (e.g., "Chevrolet").
      </Property>
      <Property name="model" type="string">
        The **specific model name** of the vehicle (e.g., "Suburban").
      </Property>
      <Property name="trim" type="string">
        The **trim level** or configuration of the vehicle (e.g., "LS").
      </Property>
      <Property name="name" type="string">
        A **brief description** of the vehicle, including the year, make, and model (e.g., "2018 Chevrolet Suburban").
      </Property>
      <Property name="engine" type="string">
        The **engine's displacement and type**, indicating its size and configuration (e.g., "5.3L V8 OHV 16V").
      </Property>
      <Property name="style" type="string">
        A **detailed description** of the vehicle's body style (e.g., "SUV").
      </Property>
      <Property name="transmission" type="string">
        The **type of transmission system** the vehicle uses, such as manual or automatic (e.g., "Automatic").
      </Property>
      <Property name="driveType" type="string">
        The **drive configuration** of the vehicle, such as front-wheel drive (FWD), rear-wheel drive (RWD), or all-wheel drive (AWD) (e.g., "RWD").
      </Property>
      <Property name="fuel" type="string">
        The **type of fuel** the vehicle uses (e.g., "Flexible-Fuel").
      </Property>
      <Property name="color" type="string">
        The **exterior color** of the vehicle (e.g., "Black").
      </Property>
      <Property name="vehicle_specs" type="object">
        Contains **detailed specifications** of the vehicle. The full response matches that of the [Vehicle Specifications](/docs/v1/specifications) API.
      </Property>
    </Properties>

    <FAQ faqs={[{ question: "What plate can I use for testing?", answer: <>You may be use the following plate for test:<ul><li>Plate: <code>H37SFS</code></li><li>State: <code>NJ</code></li></ul></>},{question: "Is the US Vehicle Plate Decoder API included in the free trial?", answer: <>No, The US Vehicle Plate Decoder API is not included in the 7-day free trial. For more information visit our <a href='/pricing'>pricing</a> page.</>}]} hidePadding />

  </Col>
  <Col sticky>

    <CodeGroup title="Request" tag="GET" label="/v1/us-platedecoder">
      ```bash
      curl -G https://api.carsxe.com/v1/us-platedecoder \
        -d key=CARSXE_API_KEY \
        -d plate=H37SFS \
        -d state=NJ
        -d decodeVIN=true
      ```

      ```js
      const axios = require('axios');

      const apiKey = 'CARSXE_API_KEY';
      const plate = 'H37SFS';
      const state = 'NJ';
      const decodeVIN = 'true';
      try {
        const { data } = await axios.get('https://api.carsxe.com/v1/us-platedecoder', {
          params: {
            key: apiKey,
            plate: plate,
            state: state
            decodeVIN: decodeVIN
          }
        })
      } catch (e) {
        console.error(e);
      }
      ```

      ```python
      import asyncio
      from carsxe_api import CarsXE

      carsxe = CarsXE('CARSXE_API_KEY')
      params = {
          "plate": "H37SFS",
          "state": "NJ",
          "decodeVIN": "true"
      }

      try:
          plate_decoder = asyncio.run(carsxe.plate_decoder(params))
          print(plate_decoder)
      except Exception as e:
          print(f"Error: {e}")
      ```

      ```php
      <?php
      require_once __DIR__ . '/vendor/autoload.php';
      use CarsxeDeveloper\Carsxe\Carsxe;

      $API_KEY = 'CARSXE_API_KEY';
      $carsxe = new Carsxe($API_KEY);
      $params = [
          'plate' => 'H37SFS',
          'state' => 'NJ',
          'decodeVIN' => 'true'
      ];

      try {
          $plateDecoder = $carsxe->plateDecoder($params);
          print_r($plateDecoder);
      } catch (Exception $error) {
          echo "Error: " . $error->getMessage();
      }
      ```

      ```ruby
      require 'carsxe'

      API_KEY = 'CARSXE_API_KEY'
      carsxe = Carsxe::CarsXE.new(api_key: API_KEY)
      params = {
        'plate' => 'H37SFS',
        'state' => 'NJ',
        'decodeVIN' => 'true'
      }

      begin
        plate_decoder = carsxe.plate_decoder(params)
        puts plate_decoder
      rescue StandardError => error
        puts "Error: #{error.message}"
      end
      ```

      ```go
      package main

      import (
      	"fmt"
      	"github.com/carsxe/carsxe-go-package"
      )

      func main() {
      	client := carsxe.New("CARSXE_API_KEY")
      	params := map[string]string{
      		"plate":     "H37SFS",
      		"state":     "NJ",
      		"decodeVIN": "true",
      	}
      	plateDecoder := client.PlateDecoder(params)
      	fmt.Println(plateDecoder)
      }
      ```

      ```java
      import io.github.carsxe.CarsXE;
      import java.util.Map;
      import java.util.HashMap;

      public class Main {
          public static void main(String[] args) {
              CarsXE carsxe = new CarsXE("CARSXE_API_KEY");
              Map<String, String> params = new HashMap<>();
              params.put("plate", "H37SFS");
              params.put("state", "NJ");
              params.put("decodeVIN", "true");
              try {
                  Map<String, Object> plateDecoder = carsxe.platedecoder(params);
                  System.out.println(plateDecoder);
              } catch (Exception e) {
                  System.err.println("Error: " + e.getMessage());
              }
          }
      }
      ```

      ```swift
      import carsxe

      let carsxe = CarsXE(apiKey: "CARSXE_API_KEY")
      let params = [
          "plate": "H37SFS",
          "state": "NJ",
          "decodeVIN": "true"
      ]

      do {
          let plateDecoder = try carsxe.plateDecoder(params)
          print(plateDecoder)
      } catch {
          print("Error: \(error)")
      }
      ```

      ```csharp
      using carsxe;
      using System;
      using System.Collections.Generic;
      using System.Threading.Tasks;

      class Program
      {
          static async Task Main(string[] args)
          {
              string API_KEY = "CARSXE_API_KEY";
              CarsXE carsxe = new CarsXE(API_KEY);
              var parameters = new Dictionary<string, string>
              {
                  { "plate", "H37SFS" },
                  { "state", "NJ" },
                  { "decodeVIN", "true" }
              };
              try
              {
                  var plateDecoder = await carsxe.PlateDecoder(parameters);
                  Console.WriteLine(plateDecoder);
              }
              catch (Exception ex)
              {
                  Console.WriteLine($"Error: {ex.Message}");
              }
          }
      }
      ```
    </CodeGroup>
    <CodeGroup title="Response">
    ```json showLineNumbers {{ title: 'Response' }}
    {
        "success": true,
        "input": {
            "plate": "H37SFS",
            "state": "NJ"
        },
        "vin": "1GNSCGKC0JR318026",
        "year": "2018",
        "make": "Chevrolet",
        "model": "Suburban",
        "trim": "LS",
        "description": "2018 Chevrolet Suburban",
        "engine_size": "5.3L V8 OHV 16V",
        "body_style": "SUV",
        "transmission": "Automatic",
        "drive_type": "RWD",
        "fuel_type": "Flexible-Fuel",
        "color": "Black",
        "vehicle_specs": {
            "attributes": {
                "year": "2018",
                "make": "Chevrolet",
                "model": "Suburban",
                "trim": "LS 2WD",
                "style": "SPORT UTILITY 4-DR",
                "type": "",
                "size": "",
                "category": "",
                "made_in": "UNITED STATES",
                "made_in_city": "",
                "doors": "",
                "fuel_type": "",
                "fuel_capacity": "31.00 gallon",
                "city_mileage": "16 miles/gallon",
                "highway_mileage": "23 miles/gallon",
                "engine": "5.3L V8 OHV 16V",
                "engine_size": "",
                "engine_cylinders": "",
                "transmission": "6-Speed Automatic",
                "transmission_short": "6A",
                "transmission_type": "",
                "transmission_speeds": "",
                "drivetrain": "RWD",
                "anti_brake_system": "4-Wheel ABS",
                "steering_type": "R&P",
                "curb_weight": "",
                "gross_vehicle_weight_rating": "",
                "overall_height": "74.40 in.",
                "overall_length": "224.40 in.",
                "overall_width": "80.50 in.",
                "wheelbase_length": "130.00 in.",
                "standard_seating": "8",
                "invoice_price": "$47,141 USD",
                "delivery_charges": "$1,295 USD",
                "manufacturer_suggested_retail_price": "$50,150 USD",
                "production_seq_number": "318026",
                "front_brake_type": "Disc",
                "rear_brake_type": "Disc",
                "turning_diameter": "",
                "front_suspension": "Ind",
                "rear_suspension": "Ind",
                "front_spring_type": "",
                "rear_spring_type": "",
                "tires": "P265/65R18",
                "front_headroom": "42.80 in.",
                "rear_headroom": "39.10 in.",
                "front_legroom": "45.30 in.",
                "rear_legroom": "39.70 in.",
                "front_shoulder_room": "64.80 in.",
                "rear_shoulder_room": "65.10 in.",
                "front_hip_room": "60.80 in.",
                "rear_hip_room": "60.30 in.",
                "interior_trim": [
                    "Cocoa/Dune, cloth",
                    "Jet Black, cloth"
                ],
                "exterior_color": [
                    "Black",
                    "Blue Velvet Metallic",
                    "Havana Metallic",
                    "Iridescent Pearl Tricoat",
                    "Pepperdust Metallic",
                    "Satin Steel Metallic",
                    "Silver Ice Metallic",
                    "Siren Red Tintcoat",
                    "Summit White",
                    "Tungsten Metallic"
                ],
                "curb_weight_manual": "",
                "ground_clearance": "7.90 in.",
                "track_front": "",
                "track_rear": "",
                "cargo_length": "",
                "width_at_wheelwell": "",
                "width_at_wall": "",
                "depth": "",
                "optional_seating": "",
                "passenger_volume": "",
                "cargo_volume": "",
                "cargo_volume_seats_in_place": "",
                "maximum_cargo_volume": "",
                "standard_towing": "",
                "maximum_towing": "",
                "standard_payload": "",
                "maximum_payload": "",
                "maximum_gvwr": ""
            },
            "colors": [
                {
                    "category": "Interior",
                    "name": "Cocoa/Dune, cloth"
                },
                {
                    "category": "Interior",
                    "name": "Jet Black, cloth"
                },
                {
                    "category": "Exterior",
                    "name": "Black"
                },
                {
                    "category": "Exterior",
                    "name": "Blue Velvet Metallic"
                },
                {
                    "category": "Exterior",
                    "name": "Havana Metallic"
                },
                {
                    "category": "Exterior",
                    "name": "Iridescent Pearl Tricoat"
                },
                {
                    "category": "Exterior",
                    "name": "Pepperdust Metallic"
                },
                {
                    "category": "Exterior",
                    "name": "Satin Steel Metallic"
                },
                {
                    "category": "Exterior",
                    "name": "Silver Ice Metallic"
                },
                {
                    "category": "Exterior",
                    "name": "Siren Red Tintcoat"
                },
                {
                    "category": "Exterior",
                    "name": "Summit White"
                },
                {
                    "category": "Exterior",
                    "name": "Tungsten Metallic"
                }
            ],
            "equipment": {
                "4wd_awd": "N/A",
                "abs_brakes": "Std.",
                "adjustable_foot_pedals": "N/A",
                "air_conditioning": "N/A",
                "alloy_wheels": "Std.",
                "am_fm_radio": "N/A",
                "automatic_headlights": "N/A",
                "automatic_load_leveling": "N/A",
                "cargo_area_cover": "N/A",
                "cargo_area_tiedowns": "N/A",
                "cargo_net": "N/A",
                "cassette_player": "N/A",
                "cd_changer": "N/A",
                "cd_player": "N/A",
                "child_safety_door_locks": "Std.",
                "chrome_wheels": "N/A",
                "cruise_control": "Std.",
                "daytime_running_lights": "N/A",
                "deep_tinted_glass": "N/A",
                "driver_airbag": "Std.",
                "driver_multi_adjustable_power_seat": "Std.",
                "dvd_player": "N/A",
                "electrochromic_exterior_rearview_mirror": "N/A",
                "electrochromic_interior_rearview_mirror": "N/A",
                "electronic_brake_assistance": "N/A",
                "electronic_parking_aid": "N/A",
                "first_aid_kit": "N/A",
                "fog_lights": "N/A",
                "front_air_dam": "N/A",
                "front_cooled_seat": "N/A",
                "front_heated_seat": "N/A",
                "front_power_lumbar_support": "Std.",
                "front_power_memory_seat": "N/A",
                "front_side_airbag": "Std.",
                "front_side_airbag_with_head_protection": "N/A",
                "front_split_bench_seat": "N/A",
                "full_size_spare_tire": "N/A",
                "genuine_wood_trim": "N/A",
                "glass_rear_window_on_convertible": "N/A",
                "heated_exterior_mirror": "N/A",
                "heated_steering_wheel": "N/A",
                "high_intensity_discharge_headlights": "N/A",
                "interval_wipers": "N/A",
                "keyless_entry": "N/A",
                "leather_seat": "N/A",
                "leather_steering_wheel": "N/A",
                "limited_slip_differential": "N/A",
                "load_bearing_exterior_rack": "N/A",
                "locking_differential": "N/A",
                "locking_pickup_truck_tailgate": "N/A",
                "manual_sunroof": "N/A",
                "navigation_aid": "N/A",
                "passenger_airbag": "Std.",
                "passenger_multi_adjustable_power_seat": "Std.",
                "pickup_truck_bed_liner": "N/A",
                "pickup_truck_cargo_box_light": "N/A",
                "power_adjustable_exterior_mirror": "N/A",
                "power_door_locks": "N/A",
                "power_sliding_side_van_door": "N/A",
                "power_sunroof": "N/A",
                "power_trunk_lid": "N/A",
                "power_windows": "Std.",
                "rain_sensing_wipers": "N/A",
                "rear_spoiler": "N/A",
                "rear_window_defogger": "N/A",
                "rear_wiper": "N/A",
                "remote_ignition": "N/A",
                "removable_top": "N/A",
                "run_flat_tires": "N/A",
                "running_boards": "N/A",
                "second_row_folding_seat": "N/A",
                "second_row_heated_seat": "N/A",
                "second_row_multi_adjustable_power_seat": "N/A",
                "second_row_removable_seat": "N/A",
                "second_row_side_airbag": "N/A",
                "second_row_side_airbag_with_head_protection": "N/A",
                "second_row_sound_controls": "N/A",
                "separate_driver_front_passenger_climate_controls": "N/A",
                "side_head_curtain_airbag": "Std.",
                "skid_plate": "N/A",
                "sliding_rear_pickup_truck_window": "N/A",
                "splash_guards": "N/A",
                "steel_wheels": "N/A",
                "steering_wheel_mounted_controls": "N/A",
                "subwoofer": "N/A",
                "tachometer": "N/A",
                "telematics_system": "N/A",
                "telescopic_steering_column": "N/A",
                "third_row_removable_seat": "N/A",
                "tilt_steering": "N/A",
                "tilt_steering_column": "N/A",
                "tire_pressure_monitor": "N/A",
                "tow_hitch_receiver": "N/A",
                "traction_control": "N/A",
                "trip_computer": "N/A",
                "trunk_anti_trap_device": "N/A",
                "vehicle_anti_theft": "Std.",
                "vehicle_stability_control_system": "N/A",
                "voice_activated_telephone": "N/A",
                "wind_deflector_for_convertibles": "N/A"
            },
            "warranties": [
                {
                    "type": "Basic",
                    "miles": "36,000 mile",
                    "months": "36 month"
                },
                {
                    "type": "Powertrain",
                    "miles": "60,000 mile",
                    "months": "60 month"
                },
                {
                    "type": "Rust",
                    "months": "72 month",
                    "miles": "100,000 mile"
                }
            ]
        }
    }
    ```
    </CodeGroup>

  </Col>
</Row>
